Build #7 for highWaterMark-0.1.1

[all reports]

Package highWaterMark-0.1.1
Install BuildFailed
Docs NotTried
Tests NotTried
Time submitted 2017-01-03 18:05:26.361027 UTC
Compiler ghc-8.0.1.20161018
OS linux
Arch x86_64
Dependencies base-4.9.0.0, ghc-8.0.1.20161018
Flags none

Code Coverage

No Code Coverage was submitted for this report.

Build log

[view raw]

Resolving dependencies...
Downloading highWaterMark-0.1.1...
Configuring highWaterMark-0.1.1...
Building highWaterMark-0.1.1...
Failed to install highWaterMark-0.1.1
Build log ( /home/builder/.cabal/logs/highWaterMark-0.1.1.log ):
cabal: Entering directory '/tmp/cabal-tmp-9792/highWaterMark-0.1.1'
Configuring highWaterMark-0.1.1...
Warning: 'ghc-options: -prof' is not necessary and will lead to problems when
used on a library. Use the configure flag --enable-library-profiling and/or
--enable-profiling.
Building highWaterMark-0.1.1...
Preprocessing executable 'highWaterMark' for highWaterMark-0.1.1...

HighWaterMark.hs:1:12: warning:
    -fglasgow-exts is deprecated: Use individual extensions instead
[1 of 2] Compiling HighWaterMark    ( HighWaterMark.hs, dist/build/highWaterMark/highWaterMark-tmp/HighWaterMark.o )

HighWaterMark.hs:21:1: error:
    • Unacceptable result type in foreign declaration:
        ‘CULong’ cannot be marshalled in a foreign call
          because its data constructor is not in scope
          Possible fix: import the data constructor to bring it into scope
    • When checking declaration:
        foreign import ccall safe "static get_mblocks_allocated" getMBlocksAllocated
          :: IO CULong
cabal: Leaving directory '/tmp/cabal-tmp-9792/highWaterMark-0.1.1'
cabal: Error: some packages failed to install:
highWaterMark-0.1.1 failed during the building phase. The exception was:
ExitFailure 1